@import url('https://fonts.googleapis.com/css2?family=Roboto+Flex:opsz,wght@8..144,100..1000&display=swap');

html {
  --tableHeaderBackgroundColor: var(--inlineCodeBackgroundColor);
  --fontColor: #252630;
  --headerFontColor: hsl(202, 18%, 12%);
}

body {
  font-family: 'Roboto Flex', sans-serif;
  font-variant-numeric: tabular-nums;
  font-optical-sizing: auto;
  font-variation-settings:
    "slnt" 0,
    "wdth" 100,
    "GRAD" 0,
    "XOPQ" 96,
    "XTRA" 468,
    "YOPQ" 79,
    "YTAS" 750,
    "YTDE" -203,
    "YTFI" 738,
    "YTLC" 514,
    "YTUC" 712;
}

.footer {
  display: none;
}

/* Add borders to tables, redefinition from basic.css */
table.docutils th, table.docutils td {
  padding: 3px !important;
  border: 1px solid #aaa;
  text-align: center;
}

/* TOC improvements */
div.bodywrapper ul:has(> li.toctree-l1:first-child),
div.bodywrapper ul:has(> li.toctree-l2:first-child),
div.bodywrapper ul:has(> li.toctree-l3:first-child),
div.bodywrapper ul:has(> li.toctree-l4:first-child),
div.bodywrapper ul:has(> li.toctree-l5:first-child) {
  list-style-type: none;
}

div.sphinxsidebar ul:has(> li.toctree-l1:first-child) {
  list-style-type: none;
  counter-reset: l1;
}

div.sphinxsidebar ul > li.toctree-l1::before {
  counter-increment: l1;
  content: counter(l1) ". ";
}

div.sphinxsidebar ul:has(> li.toctree-l2:first-child) {
  list-style-type: none;
  counter-reset: l2;
}

div.sphinxsidebar ul > li.toctree-l2::before {
  counter-increment: l2;
  content: counter(l1) "." counter(l2) ". ";
}

div.sphinxsidebar ul:has(> li.toctree-l3:first-child) {
  list-style-type: none;
  counter-reset: l3;
}

div.sphinxsidebar ul > li.toctree-l3::before {
  counter-increment: l3;
  content: counter(l1) "." counter(l2) "." counter(l3) ". ";
}

div.sphinxsidebar ul:has(> li.toctree-l4:first-child) {
  list-style-type: none;
  counter-reset: l4;
}

div.sphinxsidebar ul > li.toctree-l4::before {
  counter-increment: l4;
  content: counter(l1) "." counter(l2) "." counter(l3) "." counter(l4) ". ";
}

div.sphinxsidebar ul {
  margin: 1em;
}
div.sphinxsidebar ul ul {
  margin-left: 1em;
}

ul {
  text-align: start;
}

table.docutils {
  table-layout: fixed;
  width: 100%;
}

/* Top bar color */
div.related{
  background-color: #083366;
}

/* Make table headers color different */
table.docutils thead{
  background: #e8e8e8;
}

/* Underline role / class */
.underline {
  text-decoration:underline;
}

/* Bold-italic for HTML */
.bolditalic {
  font-weight: bold;
  font-style: italic;
}

div.sphinxsidebar {
  max-height: 100vh;
  overflow-y: scroll;
  position: sticky;
  top: 0;
  bottom: 0;
}

#searchbox {
  padding-bottom: 11px;
}

p.logo {
  text-align: center;
}

img.logo {
  max-height: 50px;
}

@media (max-width: 1500px) {
  .zwave-requirement {
    display: inline;
    font-weight: 600;
    color: #3e4349de;
  }

  .zwave-requirement::before {
    content: "";
  }

  .zwave-requirement::after {
    content: ": ";
  }
}

@media (min-width: 1500px) {
  .zwave-requirement-anchor {
    position: relative;
  }

  .zwave-requirement {
    display: block;
    position: absolute;
    top: 0;
    left: calc(100% + 4rem);
  }
}

#zwave-requirement-warning {
  padding-top: 1rem;
}

.zwave-requirement-warning {
  border: 1px solid red;
  background-color: rgba(252, 138, 138, 0.3);
  padding: 0.8rem;
}
